function [ c, ceq ] = confuneqy( y_vyr )
%UNTITLED3 Summary of this function goes here
%   Nonlinear inequality constraints
c = [];                %nejsou
%   Nonlinear equality constraints

%   podmínky:
%   F1 - F1,1 - F1,2 = 0
%   F2 - F2,1 - F2,2 = 0
%   F3 - F3,1 - F3,2 = 0
%   F1,1 - F2,1 - F3,1 = 0
%   F1,2 - F2,2 - F3,2 = 0

ceq(3) = y_vyr(1) - y_vyr(4) - y_vyr(7);              %F1 - F1,1 - F1,2 = 0
ceq(4) = y_vyr(2) - y_vyr(5) - y_vyr(8);              %F2 - F2,1 - F2,2 = 0
ceq(5) = y_vyr(3) - y_vyr(6) - y_vyr(9);              %F3 - F3,1 - F3,2 = 0
ceq(1) = y_vyr(4) - y_vyr(5) - y_vyr(6);     %F1,1 - F2,1 - F3,1 = 0
ceq(2) = y_vyr(7) - y_vyr(8) - y_vyr(9);     %F1,2 - F2,2 - F3,2 = 0
end

